%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:		gnome-logs
Version:        43.0
Release:	%mkrel 1
Summary:	GNOME Log Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Logs
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{tarball_version}.tar.xz
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	appdata-tools
BuildRequires:	gsettings-desktop-schemas
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:  meson
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
Requires:	gsettings-desktop-schemas

%description
Logs makes it easy to view and filter log messages and events. Filter
logs by category and importance to get the information you want. Use
the integrated search to get more relevant results.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%meson -Dman=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc README NEWS
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.Logs.appdata.xml
%{_datadir}/applications/org.gnome.Logs.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome-logs/gl-style.css
%{_iconsdir}/*/*/*/*
%{_mandir}//man1/%{name}.1*
%{_datadir}/dbus-1/services/org.gnome.Logs.service


%changelog
* Sat Sep 24 2022 tv <tv> 43.0-1.mga9
+ Revision: 1892072
- Update to 43.beta
- Switch to gtk4

* Thu Mar 31 2022 umeabot <umeabot> 3.36.0-2.mga9
+ Revision: 1836107
- Mageia 9 Mass Rebuild

* Tue May 12 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1583314
- new version 3.36.0

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531137
- Mageia 8 Mass Rebuild

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439235
- new version 3.34.0

* Fri Aug 09 2019 tv <tv> 3.33.2-1.mga8
+ Revision: 1428298
- new release

* Mon Apr 08 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387173
- new version 3.32.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1373984
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.4-1.mga7
+ Revision: 1372594
- new version 3.31.4

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256715
- new version 3.30.0

* Tue Jul 17 2018 ovitters <ovitters> 3.29.4-1.mga7
+ Revision: 1243899
- new version 3.29.4

* Wed May 09 2018 ovitters <ovitters> 3.29.1-1.mga7
+ Revision: 1227948
- new version 3.29.1

* Mon May 07 2018 ovitters <ovitters> 3.28.2-1.mga7
+ Revision: 1227212
- new version 3.28.2

* Tue Mar 13 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1209052
- fix filelist
- remove commented out filelist items
+ ovitters <ovitters>
- new version 3.28.0

* Tue Mar 06 2018 ovitters <ovitters> 3.27.92-1.mga7
+ Revision: 1206924
- new version 3.27.92

* Mon Feb 05 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199078
- new version 3.27.90

* Mon Jan 08 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1191614
- new version 3.27.4

* Mon Oct 30 2017 ovitters <ovitters> 3.26.2-1.mga7
+ Revision: 1174903
- new version 3.26.2

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1152735
- new version 3.26.0

* Mon Sep 04 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151136
- new version 3.25.92

* Tue Aug 22 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1142790
- new version 3.25.91

* Sat Jul 29 2017 ovitters <ovitters> 3.24.2-1.mga7
+ Revision: 1132416
- new version 3.24.2

* Mon Apr 10 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096259
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094011
- new version 3.24.0

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1059901
- new version 3.22.1

* Wed Sep 21 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055022
- new version 3.22.0

* Tue Jun 07 2016 tv <tv> 3.20.1-2.mga6
+ Revision: 1020656
- adjust BRs for latest systemd

* Mon Apr 11 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000442
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993915
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990772
- new version 3.19.92

* Tue Mar 01 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 981146
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962194
- new version 3.19.90

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925506
- new version 3.19.4

* Tue Dec 15 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910574
- new version 3.19.3

* Tue Nov 24 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905722
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905159
- new version 3.19.1

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890255
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882749
- new release

* Tue Sep 01 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871804
- new version 3.17.91

* Mon Aug 17 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865339
- new version 3.17.90

* Tue Jul 21 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 855882
- new version 3.17.4

* Tue Jun 23 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 839949
- new version 3.17.3

* Mon Jun 22 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838559
- new version 3.17.2

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796286
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 742430
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738331
- new version 3.14.1

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731713
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679730
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676947
- new version 3.13.92

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670519
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665074
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655392
- new version 3.13.4

* Mon Jun 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639119
- new version 3.13.3

* Fri May 30 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627869
- new version 3.13.2

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622354
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614107
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608093
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604588
- new version 3.11.92

* Tue Mar 04 2014 fwang <fwang> 3.11.91-1.mga5
+ Revision: 599256
- update file list
+ ovitters <ovitters>
- new version 3.11.91

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594169
- new version 3.11.90
- dropped merged patch 1

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583976
- add patch to fix desktop translation
- new version 3.11.5

* Wed Nov 20 2013 ovitters <ovitters> 3.11.2-1.mga4
+ Revision: 551969
- BR appdata-tools
- new version 3.11.2

* Wed Nov 06 2013 ovitters <ovitters> 3.11.1-1.mga4
+ Revision: 549832
- fix description
- imported package gnome-logs

